/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(TYPES__H)

#define TYPES__H

#include <QList>

class Activity;
typedef QList<Activity*> Activities;

class AthleteLog;
typedef QList<AthleteLog*> AthleteLogs;

class Category;
typedef QList<Category*> Categories;

class Equipment;
typedef QList<Equipment*> Equipments;

class ExporterInterface;
typedef QList<ExporterInterface*> ExporterInterfaces;

class ImporterInterface;
typedef QList<ImporterInterface*> ImporterInterfaces;

class Lap;
typedef QList<Lap*> Laps;

class Profile;
typedef QList<Profile*> Profiles;

class SyncInterface;
typedef QList<SyncInterface*> SyncInterfaces;

class SyncSource;

class Track;
typedef QList<Track*> Tracks;

class TrackPoint;
typedef QList<TrackPoint*> TrackPoints;

#endif
